path: /build/build/pinentry-app-crypt-1.2.1+1.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env:
  - JOBS=3
  - LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages"
  - LUET_PORTAGE_IGNORE_TAR_WARNING=1
  - LUET_PORTAGE_PKGMETA=1
  - LUET_PORTAGE_PKGFILES=1
  - FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox"
  prelude:
  - eval 'rm -rf /pkgdir/ || true' && mkdir -p /pkgdir/pinentry && luet-portage --dir
    /pkgdir/pinentry app-crypt/pinentry
  - rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/* || true
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-systemd-dev-tree:034206aa6049f3f059ba61c6626f13dd4689bd0927d228e1f7224939c2bbe4cf
  package:
    name: pinentry
    version: 1.2.1+1
    category: app-crypt
    use_flags:
    - -efl
    - -gnome-keyring
    - -gtk
    - -qt5
    - ncurses
    requires:
    - name: funtoo-base
      version: '>=0'
      category: seed
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: Simple passphrase entry dialogs which utilize the Assuan protocol
    uri:
    - https://gnupg.org/aegypten2
    license: GPL-2
    buildtimestamp: 2024-11-02 17:33:52.511762231 +0000 UTC m=+26.790653774
    labels:
      BDEPEND: sys-devel/gettext virtual/pkgconfig >=app-portage/elt-patches-20170815
        !<sys-devel/gettext-0.18.1.1-r3 || ( >=sys-devel/automake-1.16.1:1.16 >=sys-devel/automake-1.15.1:1.15
        ) >=sys-devel/autoconf-2.69 >=sys-devel/libtool-2.4
      DEPEND: dev-libs/libassuan dev-libs/libgcrypt dev-libs/libgpg-error efl? ( dev-libs/efl[X]
        ) gnome-keyring? ( app-crypt/libsecret ) ncurses? ( sys-libs/ncurses:= ) qt5?
        ( dev-qt/qtcore:5 dev-qt/qtgui:5 dev-qt/qtwidgets:5 )
      IUSE: caps efl emacs gnome-keyring gtk ncurses qt5
      RDEPEND: dev-libs/libassuan dev-libs/libgcrypt dev-libs/libgpg-error efl? (
        dev-libs/efl[X] ) gnome-keyring? ( app-crypt/libsecret ) ncurses? ( sys-libs/ncurses:=
        ) qt5? ( dev-qt/qtcore:5 dev-qt/qtgui:5 dev-qt/qtwidgets:5 ) gtk? ( app-crypt/gcr:0[gtk]
        )
      emerge.packages: app-crypt/pinentry
      kit: core-kit
      original.package.name: app-crypt/pinentry
      original.package.slot: "0"
      original.package.version: 1.2.1
    treedir: /build/packages
  package_dir: /pkgdir/pinentry
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-systemd-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - {}
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: dc664b6f202e1e75b625d0b23d3ced2c3697e8920c24048a7a23acaba74b8b3c
compressiontype: zstd
files:
- usr/bin/pinentry-curses
- usr/bin/pinentry-tty
- usr/share/doc/pinentry-1.2.1/AUTHORS.bz2
- usr/share/doc/pinentry-1.2.1/ChangeLog.bz2
- usr/share/doc/pinentry-1.2.1/NEWS.bz2
- usr/share/doc/pinentry-1.2.1/README.bz2
- usr/share/doc/pinentry-1.2.1/THANKS.bz2
- usr/share/doc/pinentry-1.2.1/TODO.bz2
- usr/share/info/pinentry.info.bz2
- var/db/pkg/app-crypt/pinentry-1.2.1/BDEPEND
- var/db/pkg/app-crypt/pinentry-1.2.1/BINPKGMD5
- var/db/pkg/app-crypt/pinentry-1.2.1/BUILD_TIME
- var/db/pkg/app-crypt/pinentry-1.2.1/CATEGORY
- var/db/pkg/app-crypt/pinentry-1.2.1/CBUILD
- var/db/pkg/app-crypt/pinentry-1.2.1/CFLAGS
- var/db/pkg/app-crypt/pinentry-1.2.1/CHOST
- var/db/pkg/app-crypt/pinentry-1.2.1/CONTENTS
- var/db/pkg/app-crypt/pinentry-1.2.1/COUNTER
- var/db/pkg/app-crypt/pinentry-1.2.1/CTARGET
- var/db/pkg/app-crypt/pinentry-1.2.1/CXX
- var/db/pkg/app-crypt/pinentry-1.2.1/CXXFLAGS
- var/db/pkg/app-crypt/pinentry-1.2.1/DEFINED_PHASES
- var/db/pkg/app-crypt/pinentry-1.2.1/DEPEND
- var/db/pkg/app-crypt/pinentry-1.2.1/DESCRIPTION
- var/db/pkg/app-crypt/pinentry-1.2.1/EAPI
- var/db/pkg/app-crypt/pinentry-1.2.1/FEATURES
- var/db/pkg/app-crypt/pinentry-1.2.1/HOMEPAGE
- var/db/pkg/app-crypt/pinentry-1.2.1/INHERITED
- var/db/pkg/app-crypt/pinentry-1.2.1/IUSE
- var/db/pkg/app-crypt/pinentry-1.2.1/IUSE_EFFECTIVE
- var/db/pkg/app-crypt/pinentry-1.2.1/KEYWORDS
- var/db/pkg/app-crypt/pinentry-1.2.1/LDFLAGS
- var/db/pkg/app-crypt/pinentry-1.2.1/LICENSE
- var/db/pkg/app-crypt/pinentry-1.2.1/NEEDED
- var/db/pkg/app-crypt/pinentry-1.2.1/NEEDED.ELF.2
- var/db/pkg/app-crypt/pinentry-1.2.1/PF
- var/db/pkg/app-crypt/pinentry-1.2.1/RDEPEND
- var/db/pkg/app-crypt/pinentry-1.2.1/REQUIRES
- var/db/pkg/app-crypt/pinentry-1.2.1/SIZE
- var/db/pkg/app-crypt/pinentry-1.2.1/SLOT
- var/db/pkg/app-crypt/pinentry-1.2.1/USE
- var/db/pkg/app-crypt/pinentry-1.2.1/environment.bz2
- var/db/pkg/app-crypt/pinentry-1.2.1/pinentry-1.2.1.ebuild
- var/db/pkg/app-crypt/pinentry-1.2.1/repository
package_cacheimage: ""
runtime:
  name: pinentry
  version: 1.2.1+1
  category: app-crypt
  use_flags:
  - -efl
  - -gnome-keyring
  - -gtk
  - -qt5
  - ncurses
  requires:
  - name: libassuan
    version: '>=0'
    category: dev-libs
  - name: libgcrypt
    version: '>=0'
    category: dev-libs
  - name: ncurses
    version: '>=0'
    category: sys-libs
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: Simple passphrase entry dialogs which utilize the Assuan protocol
  uri:
  - https://gnupg.org/aegypten2
  license: GPL-2
  labels:
    BDEPEND: sys-devel/gettext virtual/pkgconfig >=app-portage/elt-patches-20170815
      !<sys-devel/gettext-0.18.1.1-r3 || ( >=sys-devel/automake-1.16.1:1.16 >=sys-devel/automake-1.15.1:1.15
      ) >=sys-devel/autoconf-2.69 >=sys-devel/libtool-2.4
    DEPEND: dev-libs/libassuan dev-libs/libgcrypt dev-libs/libgpg-error efl? ( dev-libs/efl[X]
      ) gnome-keyring? ( app-crypt/libsecret ) ncurses? ( sys-libs/ncurses:= ) qt5?
      ( dev-qt/qtcore:5 dev-qt/qtgui:5 dev-qt/qtwidgets:5 )
    IUSE: caps efl emacs gnome-keyring gtk ncurses qt5
    RDEPEND: dev-libs/libassuan dev-libs/libgcrypt dev-libs/libgpg-error efl? ( dev-libs/efl[X]
      ) gnome-keyring? ( app-crypt/libsecret ) ncurses? ( sys-libs/ncurses:= ) qt5?
      ( dev-qt/qtcore:5 dev-qt/qtgui:5 dev-qt/qtwidgets:5 ) gtk? ( app-crypt/gcr:0[gtk]
      )
    emerge.packages: app-crypt/pinentry
    kit: core-kit
    original.package.name: app-crypt/pinentry
    original.package.slot: "0"
    original.package.version: 1.2.1
